<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>Scrollbar</title>
  <link href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css' rel='stylesheet'>
  <link rel="stylesheet" href="css/style.css">
</head>

<body>

  <div class="content">
    <button id="prev" class="btn"><i class="fa fa-chevron-left"></i></button>

    <div class="con-cards">
      <div class="card">
        <div class="con-img">
          <img src="img/barbarian.png" alt="barbarian">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Barbarian</h2>
          <p>This fearless warrior relies on his bulging muscles and striking mustache to wreak havoc in enemy villages. Release a horde of Barbarians and enjoy the mayhem!</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/archer.png" alt="archer">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Archer</h2>
          <p>These sharpshooters like to keep their distance on the battlefield and in life. Nothing makes them happier than single-mindedly taking down their target.</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/ballon.png" alt="ballon">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Balloon</h2>
          <p>These promoted skeletons have traded in their joy of destroying walls for a joy of destroying defenses. Deploy them to take out pesky mortars and cannons!</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/giant.png" alt="giant">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Giant</h2>
          <p>These big guys may seem calm, but show them a turret or cannon and you'll see their fury unleashed! Slow yet durable, these warriors are best used to soak up hits.</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/dragon.png" alt="dragon">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Dragon</h2>
          <p>The might of the dragons are known throughout the land. This scaly terror of the skies feels no mercy and nothing will escape the fiery splashes of his breath.</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/hogrider.png" alt="hogrider">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Hog Rider</h2>
          <p>Having tamed the fierce leaping hog, the Hog Rider punishes those who hide behind their puny walls! Fueled by Dark Elixir, these warriors have never known defeat!</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/wizard.png" alt="wizard">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>Wizard</h2>
          <p>The Wizard is a terrifying presence on the battlefield. Pair him up with some of his fellows and cast concentrated blasts of destruction on anything, land or sky!</p>
        </div>
      </div>

      <div class="card">
        <div class="con-img">
          <img src="img/pekka.png" alt="pekka">
        </div>
        <i class="fa fa-heart-o" onclick="toggleIcon(this)"></i>
        <div class="con-text">
          <h2>P.E.K.K.A</h2>
          <p>Is P.E.K.K.A a knight? A samurai? A robot? No one knows! P.E.K.K.A's armor absorbs even the mightiest of blows.</p>
        </div>
      </div>
    </div>

    <button id="next" class="btn"><i class="fa fa-chevron-right"></i></button>
  </div>

  <script>
    const next = document.querySelector('#next');
    const prev = document.querySelector('#prev');

    function handleScrollNext(direction) {
      const cards = document.querySelector('.con-cards')
      cards.scrollLeft = cards.scrollLeft += window.innerWidth / 2 > 600 ? window.innerWidth / 2 : window.innerWidth - 100;
    }

    function handleScrollPrev(direction) {
      const cards = document.querySelector('.con-cards')
      cards.scrollLeft = cards.scrollLeft -= window.innerWidth / 2 > 600 ? window.innerWidth / 2 : window.innerWidth - 100;
    }

    next.addEventListener('click', handleScrollNext);
    prev.addEventListener('click', handleScrollPrev);

    function toggleIcon(x) {
      x.classList.toggle("fa-heart");
    }
  </script>
</body>

</html>